Skip to content

Get order status by order ID

GET
/v1/orders/{currencyPair}/orderid/{orderId}

Returns the status of an order that was placed on the Exchange queried using the id provided by VALR. VALR provides an id for every order that is placed on the Exchange. Use this id to populate the path variable orderId in this API to query the status of the order.

If a customerOrderId was also specified while placing the order, that customerOrderId will be returned as part of the response.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

currencyPair*

The currency pair (e.g., BTCUSDT)

Type
string
Required
orderId*

The order ID provided by VALR

Type
string
Required

Responses

Order status retrieved successfully

application/json
JSON
{
"orderId": "01981786-c482-7bae-a3da-4a756ef9d12e",
"orderStatusType": "Placed",
"currencyPair": "ETHBTC",
"originalPrice": "0.0355",
"remainingQuantity": "0.000565",
"originalQuantity": "0.000565",
"orderSide": "sell",
"orderType": "post-only limit",
"failedReason": "",
"orderUpdatedAt": "2025-07-17T08:36:04.867Z",
"orderCreatedAt": "2025-07-17T08:36:04.866Z",
"customerOrderId": "LimitSell",
"timeInForce": "GTC"
}

Playground

Authorization
Variables
Key
Value

Samples